import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:native_emoji_keyboard/emoji_keyboard.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  ValueNotifier<String> onTextChange = ValueNotifier<String>("👍");

  String emoji = "👍";

  @override
  void initState() {
    super.initState();

    onTextChange.addListener(() {
      emoji = onTextChange.value;

      print('emoji: $emoji');
      setState(() {});
    });
  }

  @override
  void dispose() {
    super.dispose();

    onTextChange.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: SizedBox(
          key: Key(emoji),
          width: 350,
          height: 250,
          child: EmojiKeyboardText(
            text: emoji,
            fontSize: 40,
            onTextChange: onTextChange,
            onTap: () {
              print('Tapped');
            },
          )),
    );
  }
}
