// You have generated a new plugin project without
// specifying the `--platforms` flag. A plugin project supports no platforms is generated.
// To add platforms, run `flutter create -t plugin --platforms <platforms> .` under the same
// directory. You can also find a detailed instruction on how to add platforms in the `pubspec.yaml` at https://flutter.dev/docs/development/packages-and-plugins/developing-packages#plugin-platforms.

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

typedef EmojiCallback = void Function(String method, String value);

class EmojiKeyboard {
  static const MethodChannel _channel =
      const MethodChannel('native_emoji_keyboard');

  static void listForUpdate(EmojiCallback callback) async {
    _channel.setMethodCallHandler((call) async {
      if (call.method == "change") {
        String text = call.arguments['text'];

        callback(call.method, text);
      }

      if (call.method == "tap") {
        callback(call.method, null);
      }
    });
  }
}
